### Signal

# Gtk TreeView::row-activated

#### Declaration

    void
    row_activated (
      GtkTreeView* self,
      GtkTreePath* path,
      GtkTreeViewColumn* column,
      gpointer user_data
    )

#### Description [src]

The “row-activated” signal is emitted when the method `gtk_tree_view_row_activated()` is called.

This signal is emitted when the user double-clicks a treeview row with the `GtkTreeView:activate-on-single-click` property set to `FALSE`, or when the user single-clicks a row when that property set to `TRUE`.

This signal is also emitted when a non-editable row is selected and one of the keys: `Space`, `Shift`+`Space`, `Return` or `Enter` is pressed.

For selection handling refer to the tree widget conceptual overview as well as `GtkTreeSelection`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code

#### Parameters

`path`

  Type: `GtkTreePath`

  The `GtkTreePath` for the activated row.

  The data is owned by the caller of the function.

`column`

  Type: `GtkTreeViewColumn`

  The `GtkTreeViewColumn` in which the activation occurred.

  The argument can be `NULL`.
  The data is owned by the caller of the function.